org.keycloak.protocol.oidc.endpoints

## Class TokenEndpoint.TokenExchangeSamlProtocol

- java.lang.Object
- - org.keycloak.protocol.saml.SamlProtocol
  - - org.keycloak.protocol.oidc.endpoints.TokenEndpoint.TokenExchangeSamlProtocol

- All Implemented Interfaces:
    LoginProtocol, Provider
  Enclosing class:
    TokenEndpoint

      public static class TokenEndpoint.TokenExchangeSamlProtocol
      extends SamlProtocol

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.protocol.saml.SamlProtocol

      `SamlProtocol.ProtocolMapperProcessor<T>`

    - ### Nested classes/interfaces inherited from interface org.keycloak.protocol.LoginProtocol

      `LoginProtocol.Error`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.protocol.saml.SamlProtocol

      `artifactResolver, artifactSessionMappingStore, ATTRIBUTE_FALSE_VALUE, ATTRIBUTE_TRUE_VALUE, event, headers, logger, LOGIN_PROTOCOL, realm, SAML_ARTIFACT_RESOLUTION_SERVICE_URL_ATTRIBUTE, SAML_ASSERTION_CONSUMER_URL_ARTIFACT_ATTRIBUTE, SAML_ASSERTION_CONSUMER_URL_POST_ATTRIBUTE, SAML_ASSERTION_CONSUMER_URL_REDIRECT_ATTRIBUTE, SAML_BINDING, SAML_DEFAULT_NAMEID_FORMAT, SAML_FORCEAUTHN_REQUIREMENT, SAML_IDP_INITIATED_LOGIN, SAML_IDP_INITIATED_SSO_RELAY_STATE, SAML_IDP_INITIATED_SSO_URL_NAME, SAML_LOGIN_REQUEST_FORCEAUTHN, SAML_LOGOUT_ADD_EXTENSIONS_ELEMENT_WITH_KEY_INFO, SAML_LOGOUT_BINDING, SAML_LOGOUT_BINDING_URI, SAML_LOGOUT_CANONICALIZATION, SAML_LOGOUT_INITIATOR_CLIENT_ID, SAML_LOGOUT_RELAY_STATE, SAML_LOGOUT_REQUEST_ID, SAML_LOGOUT_SIGNATURE_ALGORITHM, SAML_NAME_ID, SAML_NAME_ID_FORMAT, SAML_PERSISTENT_NAME_ID_FOR, SAML_POST_BINDING, SAML_REDIRECT_BINDING, SAML_REQUEST_ID, SAML_SERVER_SIGNATURE_KEYINFO_KEY_NAME_TRANSFORMER, SAML_SINGLE_LOGOUT_SERVICE_URL_ARTIFACT_ATTRIBUTE, SAML_SINGLE_LOGOUT_SERVICE_URL_POST_ATTRIBUTE, SAML_SINGLE_LOGOUT_SERVICE_URL_REDIRECT_ATTRIBUTE, SAML_SOAP_BINDING, session, uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenExchangeSamlProtocol(SamlClient samlClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.ws.rs.core.Response` | `buildAuthenticatedResponse(AuthenticatedClientSessionModel clientSession, String redirectUri, Document samlDocument, JaxrsSAML2BindingBuilder bindingBuilder)`
    `protected javax.ws.rs.core.Response` | `buildErrorResponse(boolean isPostBinding, String destination, JaxrsSAML2BindingBuilder binding, Document document)`

    - ### Methods inherited from class org.keycloak.protocol.saml.SamlProtocol

      `authenticated, backchannelLogout, buildArtifactAndStoreResponse, buildArtifactAndStoreResponse, buildArtifactAuthenticatedResponse, buildLogoutArtifactResponse, buildLogoutResponse, close, createLogoutRequest, finishLogout, frontchannelLogout, getLogoutServiceUrl, getNameId, getNameIdFormat, getPersistentNameId, getResponseIssuer, getSAMLNameId, isLogoutPostBindingForClient, isLogoutPostBindingForInitiator, isPostBinding, isPostBinding, populateAttributeStatements, populateRoles, requireReauthentication, sendError, setEventBuilder, setHttpHeaders, setRealm, setSession, setUriInfo, transformLoginResponse, useArtifactForLogout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.LoginProtocol

      `sendPushRevocationPolicyRequest`

- - ### Constructor Detail

    - #### TokenExchangeSamlProtocol

          public TokenExchangeSamlProtocol(SamlClient samlClient)

  - ### Method Detail

    - #### buildAuthenticatedResponse

          protected javax.ws.rs.core.Response buildAuthenticatedResponse(AuthenticatedClientSessionModel clientSession,
                                                                         String redirectUri,
                                                                         Document samlDocument,
                                                                         JaxrsSAML2BindingBuilder bindingBuilder)
                                                                  throws ConfigurationException,
                                                                         ProcessingException,
                                                                         IOException

      Overrides:
        `buildAuthenticatedResponse` in class `SamlProtocol`
      Throws:
        `ConfigurationException`
        `ProcessingException`
        `IOException`

    - #### buildErrorResponse

          protected javax.ws.rs.core.Response buildErrorResponse(boolean isPostBinding,
                                                                 String destination,
                                                                 JaxrsSAML2BindingBuilder binding,
                                                                 Document document)
                                                          throws ConfigurationException,
                                                                 ProcessingException,
                                                                 IOException

      Overrides:
        `buildErrorResponse` in class `SamlProtocol`
      Throws:
        `ConfigurationException`
        `ProcessingException`
        `IOException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.